'use strict';

var _Object$keys = require('babel-runtime/core-js/object/keys')['default'];

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
	value: true
});
exports['default'] = write_stats;

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

// writes webpack-stats.json file, which contains assets' file paths

function write_stats(stats, options) {
	var _production_ = options.environment === 'production';
	var _development_ = options.environment === 'development';

	var output_path = this.options.output.publicPath;

	var json = stats.toJson();

	// // get assets by name and extensions
	// function get_assets(name, extension = 'js')
	// {
	// 	let chunk = json.assetsByChunkName[name]

	// 	// a chunk could be a string or an array, so make sure it is an array
	// 	if (!(Array.isArray(chunk)))
	// 	{
	// 		chunk = [chunk]
	// 	}

	// 	return chunk
	// 		// filter by extension
	// 		.filter(name => path.extname(name) === `.${extension}`)
	// 		.map(name => output_path + name)
	// }

	// const output =
	// {
	// 	css:
	// 	{
	// 		modules: {}
	// 	}
	// }

	// output.scripts = [get_assets('main', 'js')] // get_assets('common', 'js'),
	// output.css = get_assets('main', 'css')

	_Object$keys(options.assets).reduce(function (output, asset_type) {
		var asset_description = options.assets[asset_type];

		output[asset_type] = json.modules.filter(function (asset) {
			return asset_description.regular_expression.test(asset.name);
		}).reduce(function (set, asset) {
			// retain everything inside of double quotes (don't know what it is for)
			var double_qoute_index = asset.source.indexOf('"');
			var asset_path = asset.source.slice(double_qoute_index + 1, -1);

			var is_embedded = asset_path.lastIndexOf('data:image', 0) === 0;
			if (!is_embedded) {
				asset_path = _path2['default'].resolve(output_path, asset_path);
			}

			set[asset_type] = asset_path;
		}, {});
	}, output);

	// console.log(JSON.stringify(output, null, 2))

	_fs2['default'].writeFileSync(options.output, JSON.stringify(output));
}

module.exports = exports['default'];
//# sourceMappingURL=write stats.js.map